package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.enums.ClientEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-09-05
 */
@ApiModel("发放优惠券用户分页数据")
public class CouponIssueUserVo {

    @ApiModelProperty("用户id")
    private Long userId;

    @ApiModelProperty("实名")
    private String realName;

    @ApiModelProperty("昵称")
    private String username;

    @ApiModelProperty("客户端")
    private ClientEnum clientType;

    @ApiModelProperty("手机号")
    private String phone;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public ClientEnum getClientType() {
        return clientType;
    }

    public void setClientType(ClientEnum clientType) {
        this.clientType = clientType;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }
}
